- Qt 6.8
- Qt Test
- <QTest> Proxy Page
- Qt 6.8.3 Reference Documentation

# <QTest> Proxy Page

## Macros

`(since 6.8)` | QTEST_THROW_ON_FAIL
`(since 6.8)` | QTEST_THROW_ON_SKIP

## Macro Documentation

### `[since 6.8]` QTEST_THROW_ON_FAIL

When defined, QCOMPARE()/QVERIFY() etc always throw on failure. QTest::throwOnFail() then no longer has any effect.

This macro was introduced in Qt 6.8.

### `[since 6.8]` QTEST_THROW_ON_SKIP

When defined, QSKIP() always throws. QTest::throwOnSkip() then no longer has any effect.

This macro was introduced in Qt 6.8.